%define current_version 1.0.3

Name: libreport-plugin-vz-bugs
Version: %{current_version}
Release:        1%{?dist}
License: GPLv2
Group: Applications
Summary: Virtuozzo problem reporting script and libreport event handler
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Obsoletes: libreport-plugin-vzlinux-bugs
Conflicts: libreport-plugin-vzlinux-bugs

Requires: coripper

%description
This package contains Virtuozzo problem reporter and libreport event handler

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/etc/libreport/events.d
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man5

make install DESTDIR="${RPM_BUILD_ROOT}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%config /etc/libreport/events.d/*.conf
%{_bindir}/*
%{_mandir}/man1/reporter*
%{_mandir}/man5/*conf.5*
%{_datadir}/libreport/workflows/*
%{_datadir}/libreport/events/*

%changelog
* Fri May 31 2019 Konstantin Volkov <wolf@virtuozzo.com> 1.0.3
 - Updated copyrights, see #PSBM-94991

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 1.0.2-2
- Rebuild in 7.3 environment

* Wed Nov 23 2016 Konstantin Volkov <wolf@virtuozzo.com> 1.0.2
 - Make messages in bug reporting dialog more clear (#PSBM-55300) (Denis Silakov
<denis.silakov@rosalab.ru>)

* Fri Sep 23 2016 Konstantin Volkov <wolf@virtuozzo.com> 1.0.1
 - Added Makefile.version

* Thu Sep 01 2016 Denis Silakov <dsilakov@virtuozzo.com> 1.0
- Initial build
